---
title: "profileStart"
subtitle: "Function in std::sketch"
excerpt: "Extract the provided 2-dimensional sketch's profile's origin value."
layout: manual
---

Extract the provided 2-dimensional sketch's profile's origin value.

```kcl
profileStart(@profile: Sketch): [number]
```



### Arguments

| Name | Type | Description | Required |
|----------|------|-------------|----------|
| `profile` | [`Sketch`](/docs/kcl-std/types/std-types-Sketch) | Profile whose start is being used | Yes |

### Returns

[`[number]`](/docs/kcl-std/types/std-types-number)


### Examples

```kcl
sketch001 = startSketchOn(XY)
  |> startProfile(at = [5, 2])
  |> angledLine(angle = 120, length = 50, tag = $seg01)
  |> angledLine(angle = segAng(seg01) + 120, length = 50)
  |> line(end = profileStart(%))
  |> close()
  |> extrude(length = 20)
```

![Rendered example of profileStart 0](data:image/png;base64,[encoded data, 79180 characters])


